Package org.eclipse.rdf4j.repository.config

## Class RepositoryConfigUtil

- java.lang.Object
- - org.eclipse.rdf4j.repository.config.RepositoryConfigUtil

-     public class RepositoryConfigUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryConfigUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Resource` | `getContext​(RepositoryConnection con, String repositoryID)` | Deprecated.
    `static RepositoryConfig` | `getRepositoryConfig​(Model model, String repositoryID)` |
    `static RepositoryConfig` | `getRepositoryConfig​(Repository repository, String repositoryID)` | Deprecated.
    `static Model` | `getRepositoryConfigModel​(Model model, String repositoryID)` |
    `static Set<String>` | `getRepositoryIDs​(Model model)` |
    `static Set<String>` | `getRepositoryIDs​(Repository repository)` | Deprecated.
    `static boolean` | `hasRepositoryConfig​(Repository repository, String repositoryID)` | Deprecated.
    `static boolean` | `removeRepositoryConfigs​(Repository repository, String... repositoryIDs)` | Deprecated.
    `static void` | `updateRepositoryConfigs​(RepositoryConnection con, RepositoryConfig... configs)` | Deprecated.
    `static void` | `updateRepositoryConfigs​(Repository repository, RepositoryConfig... configs)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfigUtil

          public RepositoryConfigUtil()

  - ### Method Detail

    - #### getRepositoryConfig

          public static RepositoryConfig getRepositoryConfig​(Model model,
                                                             String repositoryID)

    - #### getRepositoryConfigModel

          public static Model getRepositoryConfigModel​(Model model,
                                                       String repositoryID)

    - #### getRepositoryIDs

          public static Set<String> getRepositoryIDs​(Model model)
                                              throws RepositoryException

      Throws:
        `RepositoryException`

    - #### getRepositoryIDs

          @Deprecated
          public static Set<String> getRepositoryIDs​(Repository repository)
                                              throws RepositoryException

      Deprecated.
      Throws:
        `RepositoryException`

    - #### hasRepositoryConfig

          @Deprecated
          public static boolean hasRepositoryConfig​(Repository repository,
                                                    String repositoryID)
                                             throws RepositoryException,
                                                    RepositoryConfigException

      Deprecated.
      Is configuration information for the specified repository ID present in the (system) repository?
      Parameters:
        `repository` - the repository to look in
        `repositoryID` - the repositoryID to look for
      Returns:
        true if configurion information for the specified repository ID was found, false otherwise
      Throws:
        `RepositoryException` - if an error occurred while trying to retrieve information from the (system) repository
        `RepositoryConfigException`

    - #### getRepositoryConfig

          @Deprecated
          public static RepositoryConfig getRepositoryConfig​(Repository repository,
                                                             String repositoryID)
                                                      throws RepositoryConfigException,
                                                             RepositoryException

      Deprecated.
      Throws:
        `RepositoryConfigException`
        `RepositoryException`

    - #### updateRepositoryConfigs

          @Deprecated
          public static void updateRepositoryConfigs​(Repository repository,
                                                     RepositoryConfig... configs)
                                              throws RepositoryException,
                                                     RepositoryConfigException

      Deprecated.
      Update the specified Repository with the specified set of RepositoryConfigs. This will overwrite all existing configurations in the Repository that have a Repository ID occurring in these RepositoryConfigs.
      Parameters:
        `repository` - The Repository whose contents will be modified.
        `configs` - The RepositoryConfigs that should be added to or updated in the Repository. The RepositoryConfig's ID may already occur in the Repository, in which case all previous configuration data for that Repository will be cleared before the RepositoryConfig is added.
      Throws:
        `RepositoryException` - When access to the Repository's RepositoryConnection causes a RepositoryException.
        `RepositoryConfigException`

    - #### updateRepositoryConfigs

          @Deprecated
          public static void updateRepositoryConfigs​(RepositoryConnection con,
                                                     RepositoryConfig... configs)
                                              throws RepositoryException,
                                                     RepositoryConfigException

      Deprecated.
      Update the specified RepositoryConnection with the specified set of RepositoryConfigs. This will overwrite all existing configurations in the Repository that have a Repository ID occurring in these RepositoryConfigs. Note: this method does NOT commit the updates on the connection.
      Parameters:
        `con` - the repository connection to perform the update on
        `configs` - The RepositoryConfigs that should be added to or updated in the Repository. The RepositoryConfig's ID may already occur in the Repository, in which case all previous configuration data for that Repository will be cleared before the RepositoryConfig is added.
      Throws:
        `RepositoryException`
        `RepositoryConfigException`

    - #### removeRepositoryConfigs

          @Deprecated
          public static boolean removeRepositoryConfigs​(Repository repository,
                                                        String... repositoryIDs)
                                                 throws RepositoryException,
                                                        RepositoryConfigException

      Deprecated.
      Removes one or more Repository configurations from a Repository. Nothing happens when this Repository does not contain configurations for these Repository IDs.
      Parameters:
        `repository` - The Repository to remove the configurations from.
        `repositoryIDs` - The IDs of the Repositories whose configurations need to be removed.
      Throws:
        `RepositoryException` - Whenever access to the Repository's RepositoryConnection causes a RepositoryException.
        `RepositoryConfigException`

    - #### getContext

          @Deprecated
          public static Resource getContext​(RepositoryConnection con,
                                            String repositoryID)
                                     throws RepositoryException,
                                            RepositoryConfigException

      Deprecated.
      Throws:
        `RepositoryException`
        `RepositoryConfigException`